package com.reyun.service;

import com.reyun.model.Account;
import com.reyun.model.EditionPricingLevel4Web;
import com.reyun.util.ResultStatus;

import javax.servlet.http.HttpServletRequest;

public interface LoginService {

	Account login(String email, String pwd);

	Account save(Account account);

	int updateAccountInfo(Account account, HttpServletRequest request);

    Account findAccountDetailAndLog(Account account);

    ResultStatus updateAccountPwd(String newPassword, String oldPassword, Account account);

    EditionPricingLevel4Web getChannelPriceEdition(Long appId);
}
